Set Domain Settings
Project-scoped operation. Successful JSON and status-only responses vary by operation. The service does not declare a stable response schema for this operation; do not assume a collection envelope or undocumented fields.
PATCH
/
shield
/
domains
/
{domain_id}
/
settings
Set Domain Settings
curl --request PATCH \
--url https://api.aptranet.com/shield/domains/{domain_id}/settings \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ddos": {
"global_threshold": 25125,
"burst_threshold": 5015
},
"api": {
"is_api": true,
"api_urls": [
"<string>"
]
}
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/settings"
payload = {
"ddos": {
"global_threshold": 25125,
"burst_threshold": 5015
},
"api": {
"is_api": True,
"api_urls": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ddos: {global_threshold: 25125, burst_threshold: 5015},
api: {is_api: true, api_urls: ['<string>']}
})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/settings"
payload := strings.NewReader("{\n \"ddos\": {\n \"global_threshold\": 25125,\n \"burst_threshold\": 5015\n },\n \"api\": {\n \"is_api\": true,\n \"api_urls\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Path Parameters
Body
application/json
Response
Successful response.
Set Domain Settings
curl --request PATCH \
--url https://api.aptranet.com/shield/domains/{domain_id}/settings \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ddos": {
"global_threshold": 25125,
"burst_threshold": 5015
},
"api": {
"is_api": true,
"api_urls": [
"<string>"
]
}
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/settings"
payload = {
"ddos": {
"global_threshold": 25125,
"burst_threshold": 5015
},
"api": {
"is_api": True,
"api_urls": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ddos: {global_threshold: 25125, burst_threshold: 5015},
api: {is_api: true, api_urls: ['<string>']}
})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/settings"
payload := strings.NewReader("{\n \"ddos\": {\n \"global_threshold\": 25125,\n \"burst_threshold\": 5015\n },\n \"api\": {\n \"is_api\": true,\n \"api_urls\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}